#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup() {
  this->x = 0;
  this->speed = 100.0/30;
  ofSetFrameRate(30);
}

//--------------------------------------------------------------
void testApp::update() {
  this->x += this->speed;
  if(this->x > 500) this->x = 0;
}

//--------------------------------------------------------------
void testApp::draw() {
  // speed readout
  ofSetColor(0, 0, 0);
  ofDrawBitmapString("Speed: " + ofToString(this->speed, 4) + " " + 
                     ofToString(this->speed*30, 2) + "px/s " +
                     // my screen is 1440 px, 13in across
                     ofToString(this->speed*30 * (13.0/1440.0), 4) + "in/s " +
                     ofToString(this->speed*30 * (13.0/1440.0) * (3600.0/63360.0)) + "mph "
                     , 10, 12);
  ofCircle(this->x, 250, 25);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key) {

}

//--------------------------------------------------------------
void testApp::keyReleased(int key) {

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ) {

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button) {

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button) {
  this->speed = x + y;
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button) {
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h) {

}

